> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cleartalk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get web agent details



## OpenAPI

````yaml get /web-agent/{id}
openapi: 3.0.0
info:
  title: ClearTalk API
  description: The ClearTalk API Documentation
  version: '1.0'
  contact:
    name: Developer Support
    email: devsupport@cleartalk.ai
servers:
  - url: https://api.cleartalk.ai
    description: ClearTalk AI API Server
security: []
tags: []
paths:
  /web-agent/{id}:
    get:
      tags:
        - Web Agent
      summary: Get web agent details
      operationId: WebAgentController_getWebAgentDetails
      parameters:
        - name: id
          required: true
          in: path
          description: The ID of the web agent
          schema:
            type: string
      responses:
        '200':
          description: The web agent details have been successfully retrieved
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: success
                  message:
                    type: string
                    example: Web agent details retrieved successfully
                  data:
                    type: object
                    properties:
                      agent_id:
                        type: string
                      prompt:
                        type: string
                      voice:
                        type: string
                      webhook:
                        type: string
                      analysis_schema:
                        type: object
                      metadata:
                        type: object
                      pathway_id:
                        type: string
                      language:
                        type: string
                      model:
                        type: string
                      first_sentence:
                        type: string
                      tools:
                        type: array
                        items:
                          type: string
                      dynamic_data:
                        type: object
                      interruption_threshold:
                        type: number
                      max_duration:
                        type: number
        '404':
          description: Web agent not found
        '500':
          description: Internal server error
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for authentication

````